Imports System.IO

Public Class FormUnite

    Private Id As String
    Private PartNo As Integer

    Private Sub FormUnite_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        TextFolder.Text = Directory.GetCurrentDirectory
    End Sub

    Private Sub ButtonFolder_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonFolder.Click
        If FolderBrowserDialog.ShowDialog() = DialogResult.OK Then
            TextFolder.Text = FolderBrowserDialog.SelectedPath
        End If
    End Sub

    Private Sub ButtonSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonSave.Click
        If TextFolder.Text = "" Then
            Return
        End If
        If ListFile.Items.Count = 0 Then
            Return
        End If
        Dim attach As nMail.Attachment = New nMail.Attachment
        Try
            Dim no As Integer

            attach.Path = TextFolder.Text
            nMail.Options.EnableDecodeHeader()
            nMail.Options.EnableDecodeBody()
            For no = 0 To ListFile.Items.Count - 1
                Dim reader As StreamReader = New System.IO.StreamReader(CStr(ListFile.Items(no)))
                Dim header As String = reader.ReadToEnd()
                reader.Close()
                attach.Add(header)
            Next no
            attach.Save()
            ' I
            If attach.HtmlFile <> "" Then
                If MessageBox.Show(TextFolder.Text + " ɓYtt@C " + attach.FileName + " WJ܂B" + ControlChars.CrLf + ControlChars.CrLf + ":" + attach.Subject + ControlChars.CrLf + "{:" + ControlChars.CrLf + attach.Body + ControlChars.CrLf + "HTML t@C " + attach.HtmlFile + " J܂H" + ControlChars.CrLf + "(EBXꍇ܂BӉ)", "₢킹", MessageBoxButtons.YesNo) = DialogResult.Yes Then
                    Process.Start(attach.Path + "\\" + attach.HtmlFile)
                End If
            Else
                MessageBox.Show(TextFolder.Text + " ɓYtt@C " + attach.FileName + " ۑ܂B" + ControlChars.CrLf + ControlChars.CrLf + ":" + attach.Subject + ControlChars.CrLf + "{:" + ControlChars.CrLf + attach.Body)
            End If
            Close()
        Catch nex As nMail.nMailException
            If nex.ErrorCode = nMail.Attachment.ErrorFileOpen Then
                MessageBox.Show("Ytt@CI[vł܂B")
            ElseIf nex.ErrorCode = nMail.Attachment.ErrorInvalidNo Then
                MessageBox.Show("ꂽ[̏ԂȂAYȂt@CĂ܂B")
            ElseIf nex.ErrorCode = nMail.Attachment.ErrorPartial Then
                MessageBox.Show("ꂽ[SđĂ܂")
            End If
        Catch ex As Exception
            Debug.WriteLine(ex.Message)
        Finally
            attach.Dispose()
        End Try
    End Sub

    Private Sub ButtonAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonAdd.Click
        If OpenFileDialog.ShowDialog() = DialogResult.OK Then
            Dim reader As StreamReader = New System.IO.StreamReader(OpenFileDialog.FileName)
            Dim header As String = reader.ReadToEnd()
            reader.Close()

            Dim attach As nMail.Attachment = New nMail.Attachment
            Dim no As Integer = attach.GetId(header)
            If ((no = 0) And (ListFile.Items.Count = 0)) Or (PartNo = no) Then
                If no = 1 Then
                    Id = attach.PartId
                End If
                If (no = 0) Or (Id = attach.PartId) Then
                    ListFile.Items.Add(OpenFileDialog.FileName)
                    PartNo += 1
                    ButtonSave.Enabled = True
                Else
                    MessageBox.Show("ꂽ[f[^v܂", "vbmailnet", MessageBoxButtons.OK, MessageBoxIcon.Error)
                End If
            ElseIf (ListFile.Items.Count = 0) And (attach.GetHeaderField("Content-Type:", header).IndexOf("text/html") >= 0) Then
                ListFile.Items.Add(OpenFileDialog.FileName)
                ButtonSave.Enabled = True
            Else
                If no < 0 Then
                    MessageBox.Show("ꂽ[݂܂", "vbmailnet", MessageBoxButtons.OK, MessageBoxIcon.Error)
                Else
                    MessageBox.Show("ꂽ[f[^̏Ԃ܂", "vbmailnet", MessageBoxButtons.OK, MessageBoxIcon.Error)
                End If
            End If
        End If
    End Sub
End Class