Public Class FormOption

    Private Sub comboSmtpSsl_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles comboSmtpSsl.SelectedIndexChanged
        If (comboSmtpSsl.SelectedIndex = 0) Or (comboSmtpSsl.SelectedIndex = 3) Then
            textSmtpPort.Text = nMail.Smtp.StandardPortNo.ToString()
        Else
            textSmtpPort.Text = nMail.Smtp.StandardSslPortNo.ToString()
        End If
    End Sub

    Private Sub comboImap4Ssl_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles comboImap4Ssl.SelectedIndexChanged
        If (comboImap4Ssl.SelectedIndex = 0) Or (comboImap4Ssl.SelectedIndex = 3) Then
            textImap4Port.Text = nMail.Imap4.StandardPortNo.ToString()
        Else
            textImap4Port.Text = nMail.Imap4.StandardSslPortNo.ToString()
        End If
    End Sub

	Public Property Smtp() As String
		Get
			return TextSmtp.Text
		End Get
		Set(ByVal Value As String)
			TextSmtp.Text = Value
		End Set
	End Property

	Public Property SmtpPort() As Integer
		Get
			return Integer.Parse(textSmtpPort.Text)
		End Get
		Set(ByVal Value As Integer)
			textSmtpPort.Text = value.ToString()
		End Set
	End Property

	Public Property SmtpSsl() As Integer
		Get
			if comboSmtpSsl.SelectedIndex = 1 Then
				return nMail.Smtp.SSL3
			Elseif comboSmtpSsl.SelectedIndex = 2 Then
				return nMail.Smtp.TLS1
			elseif comboSmtpSsl.SelectedIndex = 3 Then
				return nMail.Smtp.STARTTLS
			Else
				return 0
			End If
		End Get
		Set(ByVal Value As Integer)
			if Value = nMail.Smtp.SSL3 Then
				comboSmtpSsl.SelectedIndex = 1
			Elseif value = nMail.Smtp.TLS1 Then
				comboSmtpSsl.SelectedIndex = 2
			elseif value = nMail.Smtp.STARTTLS Then
				comboSmtpSsl.SelectedIndex = 3
			Else
				comboSmtpSsl.SelectedIndex = 0
			End If
		End Set
	End Property

	public Property SmtpAuth() As Integer
		Get
			if comboSmtpAuth.SelectedIndex = 3 Then
				return nMail.Smtp.AuthCramMd5
			Else
				return comboSmtpAuth.SelectedIndex
			End If
        End Get
		Set(ByVal Value As Integer)
			if value = nMail.Smtp.AuthCramMd5 Then
				comboSmtpAuth.SelectedIndex = 3
			Else
				comboSmtpAuth.SelectedIndex = value
			End If
		End Set
	End Property

	Public Property Imap4() As String
		Get
			return TextImap4.Text
		End Get
		Set(ByVal Value As String)
			TextImap4.Text = Value
		End Set
	End Property

	Public Property Imap4Port() As Integer
		Get
			return Integer.Parse(textImap4Port.Text)
		End Get
		Set(ByVal Value As Integer)
			textImap4Port.Text = value.ToString()
		End Set
	End Property

	Public Property Imap4Ssl() As Integer
		Get
			if comboImap4Ssl.SelectedIndex = 1 Then
				return nMail.Imap4.SSL3
			Elseif comboImap4Ssl.SelectedIndex = 2 Then
				return nMail.Imap4.TLS1
			elseif comboImap4Ssl.SelectedIndex = 3 Then
				return nMail.Imap4.STARTTLS
			Else
				return 0
			End If
		End Get
		Set(ByVal Value As Integer)
			if Value = nMail.Imap4.SSL3 Then
				comboImap4Ssl.SelectedIndex = 1
			Elseif value = nMail.Imap4.TLS1 Then
				comboImap4Ssl.SelectedIndex = 2
			elseif value = nMail.Imap4.STARTTLS Then
				comboImap4Ssl.SelectedIndex = 3
			Else
				comboImap4Ssl.SelectedIndex = 0
			End If
		End Set
	End Property

	Public Property Imap4Auth() As Integer
		Get
			If comboImap4Auth.SelectedIndex = 2 Then
				Return nMail.Imap4.AuthCramMd5
			Else
				Return comboImap4Auth.SelectedIndex + 1
			End If
		End Get
		Set(ByVal Value As Integer)
			If Value = nMail.Imap4.AuthCramMd5 Then
				comboImap4Auth.SelectedIndex = 2
			ElseIf Value > 0 Then
				comboImap4Auth.SelectedIndex = value - 1
			Else
				comboImap4Auth.SelectedIndex = 1
			End If
		End Set
	End Property

	Public Property Address() As String
		Get
			return TextAddress.Text
		End Get
		Set(ByVal Value As String)
			TextAddress.Text = Value
		End Set
	End Property
End Class